This folder contains utility functions for the SPEX software package.
These functions are shared amongst all other SPEX packages.

Key subroutines within this folder:

    -All SPEX GMP/MPFR wrapper functions
    -All SPEX matrix functions
    -All SPEX memory handling functions

Other functions that may be useful can be added in the future.

Note that all of these functions are test covered in SPEX/Tcov.
